Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.getfilenames
Class GetFileNamesMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.getfilenames.GetFileNamesMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class GetFileNamesMeta

extends BaseStepMeta
implements StepMetaInterface

Constructor Summary
`GetFileNamesMeta()`

Method Summary
`void` | `allocate(int nrfiles)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepinfo, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`org.pentaho.di.core.fileinput.FileInputList` | `getDynamicFileList(org.pentaho.di.core.variables.VariableSpace space, String[] filename, String[] filemask, String[] filerequired)`
`String` | `getDynamicFilenameField()`
`String` | `getDynamicWildcardField()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface row, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`org.pentaho.di.core.fileinput.FileInputList` | `getFileList(org.pentaho.di.core.variables.VariableSpace space)`
`String[]` | `getFileMask()`
`String[]` | `getFileName()`
`String` | `getFilenameField()`
`String[]` | `getFilePaths(org.pentaho.di.core.variables.VariableSpace space)`
`String[]` | `getFileRequired()`
`org.pentaho.di.core.fileinput.FileInputList.FileTypeFilter` | `getFileTypeFilter()`
`List<ResourceReference>` | `getResourceDependencies(TransMeta transMeta, StepMeta stepInfo)` Get a list of all the resource dependencies that the step is depending on.
`long` | `getRowLimit()`
`String` | `getRowNumberField()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `includeRowNumber()`
`boolean` | `isAddResultFile()`
`boolean` | `isFileField()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddResultFile(boolean isaddresult)`
`void` | `setDefault()` Set default values
`void` | `setDynamicFilenameField(String dynamicFilenameField)`
`void` | `setDynamicWildcardField(String dynamicWildcardField)`
`void` | `setFileField(boolean filefield)`
`void` | `setFileMask(String[] fileMask)`
`void` | `setFileName(String[] fileName)`
`void` | `setFileRequired(String[] fileRequired)`
`void` | `setFilterFileType(int filtertypevalue)`
`void` | `setIncludeRowNumber(boolean includeRowNumber)`
`void` | `setRowLimit(long rowLimit)`
`void` | `setRowNumberField(String rowNumberField)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Constructor Detail

### GetFileNamesMeta

    public GetFileNamesMeta()

Method Detail

### getFilenameField

    public String getFilenameField()

  Returns:
    Returns the filenameField.

### getRowNumberField

    public String getRowNumberField()

  Returns:
    Returns the rowNumberField.

### setDynamicFilenameField

    public void setDynamicFilenameField(String dynamicFilenameField)

  Parameters:
    `dynamicFilenameField` - The dynamic filename field to set.

### setDynamicWildcardField

    public void setDynamicWildcardField(String dynamicWildcardField)

  Parameters:
    `dynamicWildcardField` - The dynamic wildcard field to set.

### setRowNumberField

    public void setRowNumberField(String rowNumberField)

  Parameters:
    `rowNumberField` - The rowNumberField to set.

### getDynamicFilenameField

    public String getDynamicFilenameField()

  Returns:
    Returns the dynamic filename field (from previous steps)

### getDynamicWildcardField

    public String getDynamicWildcardField()

  Returns:
    Returns the dynamic wildcard field (from previous steps)

### includeRowNumber

    public boolean includeRowNumber()

  Returns:
    Returns the includeRowNumber.

### isFileField

    public boolean isFileField()

  Returns:
    Returns the File field.

### setFileField

    public void setFileField(boolean filefield)

  Parameters:
    `filefield` - The filefield to set.

### setIncludeRowNumber

    public void setIncludeRowNumber(boolean includeRowNumber)

  Parameters:
    `includeRowNumber` - The includeRowNumber to set.

### setAddResultFile

    public void setAddResultFile(boolean isaddresult)

  Parameters:
    `isaddresult` - The isaddresult to set.

### isAddResultFile

    public boolean isAddResultFile()

  Returns:
    Returns isaddresult.

### getFileMask

    public String[] getFileMask()

  Returns:
    Returns the fileMask.

### getFileRequired

    public String[] getFileRequired()

  Returns:
    Returns the fileRequired.

### setFileMask

    public void setFileMask(String[] fileMask)

  Parameters:
    `fileMask` - The fileMask to set.

### setFileRequired

    public void setFileRequired(String[] fileRequired)

  Parameters:
    `fileRequired` - The fileRequired to set.

### getFileName

    public String[] getFileName()

  Returns:
    Returns the fileName.

### setFileName

    public void setFileName(String[] fileName)

  Parameters:
    `fileName` - The fileName to set.

### getRowLimit

    public long getRowLimit()

  Returns:
    Returns the rowLimit.

### setRowLimit

    public void setRowLimit(long rowLimit)

  Parameters:
    `rowLimit` - The rowLimit to set.

### setFilterFileType

    public void setFilterFileType(int filtertypevalue)

### getFileTypeFilter

    public org.pentaho.di.core.fileinput.FileInputList.FileTypeFilter getFileTypeFilter()

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### allocate

    public void allocate(int nrfiles)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface row,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `row` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### getFilePaths

    public String[] getFilePaths(org.pentaho.di.core.variables.VariableSpace space)

### getFileList

    public org.pentaho.di.core.fileinput.FileInputList getFileList(org.pentaho.di.core.variables.VariableSpace space)

### getDynamicFileList

    public org.pentaho.di.core.fileinput.FileInputList getDynamicFileList(org.pentaho.di.core.variables.VariableSpace space,
                                                                          String[] filename,
                                                                          String[] filemask,
                                                                          String[] filerequired)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepinfo,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepinfo` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies(TransMeta transMeta,
                                                           StepMeta stepInfo)

  Description copied from class: `BaseStepMeta`
  Get a list of all the resource dependencies that the step is depending on.

  Specified by:
    `getResourceDependencies` in interface `StepMetaInterface`
  Overrides:
    `getResourceDependencies` in class `BaseStepMeta`
  Returns:
    a list of all the resource dependencies that the step is depending on

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of files into absolute paths OR it simply includes the resource in the ZIP file. For now, we'll simply turn it into an absolute path and pray that the file is on a shared drive or something like that. TODO: create options to configure this behavior

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD